MTD: merge 3.18 development into -next development
[deliverable/linux.git] / scripts / kconfig / lxdialog / check-lxdialog.sh
CommitLineData
ae215b14
SR
1#!/bin/sh
2# Check ncurses compatibility
3
4# What library to link
5ldflags()
6{
fc9c6e00
JL
7 pkg-config --libs ncursesw 2>/dev/null && exit
8 pkg-config --libs ncurses 2>/dev/null && exit
3725f3ed 9 for ext in so a dll.a dylib ; do
03c9587d
MF
10 for lib in ncursesw ncurses curses ; do
11 $cc -print-file-name=lib${lib}.${ext} | grep -q /
12 if [ $? -eq 0 ]; then
13 echo "-l${lib}"
14 exit
15 fi
16 done
17 done
60f33b80 18 exit 1
ae215b14
SR
19}
20
21# Where is ncurses.h?
22ccflags()
23{
be8af2d5
BF
24 if pkg-config --cflags ncursesw 2>/dev/null; then
25 echo '-DCURSES_LOC="<ncurses.h>" -DNCURSES_WIDECHAR=1'
26 elif pkg-config --cflags ncurses 2>/dev/null; then
27 echo '-DCURSES_LOC="<ncurses.h>"'
28 elif [ -f /usr/include/ncursesw/curses.h ]; then
cdf0c2cf 29 echo '-I/usr/include/ncursesw -DCURSES_LOC="<curses.h>"'
7d5bb966 30 echo ' -DNCURSES_WIDECHAR=1'
84354256 31 elif [ -f /usr/include/ncurses/ncurses.h ]; then
ae215b14
SR
32 echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
33 elif [ -f /usr/include/ncurses/curses.h ]; then
cdf0c2cf 34 echo '-I/usr/include/ncurses -DCURSES_LOC="<curses.h>"'
ae215b14
SR
35 elif [ -f /usr/include/ncurses.h ]; then
36 echo '-DCURSES_LOC="<ncurses.h>"'
37 else
38 echo '-DCURSES_LOC="<curses.h>"'
39 fi
40}
41
3835f821
SR
42# Temp file, try to clean up after us
43tmp=.lxdialog.tmp
44trap "rm -f $tmp" 0 1 2 3 15
45
ae215b14
SR
46# Check if we can link to ncurses
47check() {
b1e0d8b7 48 $cc -x c - -o $tmp 2>/dev/null <<'EOF'
b44158de
SR
49#include CURSES_LOC
50main() {}
51EOF
ae215b14 52 if [ $? != 0 ]; then
6e588f6d
SR
53 echo " *** Unable to find the ncurses libraries or the" 1>&2
54 echo " *** required header files." 1>&2
55 echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2
56 echo " *** " 1>&2
57 echo " *** Install ncurses (ncurses-devel) and try again." 1>&2
58 echo " *** " 1>&2
59 exit 1
ae215b14
SR
60 fi
61}
62
63usage() {
f6682f91 64 printf "Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n"
ae215b14
SR
65}
66
e99c343f 67if [ $# -eq 0 ]; then
ae215b14
SR
68 usage
69 exit 1
70fi
71
3835f821 72cc=""
ae215b14
SR
73case "$1" in
74 "-check")
75 shift
60f33b80 76 cc="$@"
ae215b14
SR
77 check
78 ;;
79 "-ccflags")
80 ccflags
81 ;;
82 "-ldflags")
60f33b80
SR
83 shift
84 cc="$@"
ae215b14
SR
85 ldflags
86 ;;
87 "*")
88 usage
89 exit 1
90 ;;
91esac
This page took 0.476531 seconds and 5 git commands to generate.